summaryrefslogtreecommitdiff
path: root/tests/instdat.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/instdat.test')
-rwxr-xr-xtests/instdat.test34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/instdat.test b/tests/instdat.test
new file mode 100755
index 000000000..35926231f
--- /dev/null
+++ b/tests/instdat.test
@@ -0,0 +1,34 @@
+#! /bin/sh
+# Copyright (C) 1998, 2001, 2002 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test to see if defining INSTALL_DATA causes problems. From EGCS
+# list.
+
+. ./defs || exit 1
+
+echo 'AC_SUBST(INSTALL_DATA)' >> configure.in
+
+: > Makefile.am
+
+$ACLOCAL || exit 1
+$AUTOMAKE || exit 1
+
+(grep '^DATA =' Makefile.in | grep INSTALL_DATA) && exit 1
+exit 0